
Redmine - Defect #180

[PATCH] Plugins break in the Rails 2.0 with the latest engines.

2008-01-08 22:15 - Eric Davis

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

I recently upgraded to Rails 2.0 and needed to upgrade Engines also.  After this my plugin routes were not being recognized

anymore.  In the console I found my Engine plugins (Redmine plugins) were not being loaded.

$ script/console

  Loading development environment (Rails 2.0.2)

  GLoc v1.1 running in development mode. Strings can be modified at runtime.

  >> Engines.plugins

  => []

 The documentation for Engines says they need to be loaded in environment.rb with the following line:

require File.join(File.dirname(FILE), '../vendor/plugins/engines/boot')

 After adding that to Redmine, the plugins loaded successfully.

Eric

Associated revisions

Revision 1281 - 2008-03-21 20:59 - Jean-Philippe Lang

Load Engines plugin if available (closes #180).

History

#1 - 2008-02-29 17:51 - Rocco Stanzione

I had to do this too.  Can we get this added?

#2 - 2008-03-21 21:17 - Jean-Philippe Lang

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset r1281.

Files

redmine-engines.diff 518 Bytes 2008-02-03 Eric Davis
